From 897ec6df5d4901a5dbec199143907e4e65564e83 Mon Sep 17 00:00:00 2001
From: Hannes Domani <ssbssa@yahoo.de>
Date: Sun, 8 Feb 2015 14:08:50 +0100
Subject: [PATCH 3/3] Direct3D9: destroy video hwnd to prevent handle leak

IDirect3DDevice9_Present() creates an event like this:
\Sessions\1\BaseNamedObjects\DwmDxBltEvent_a7045e

But it isn't closed with IDirect3DDevice9_Release(), only explicitely
destroying the video window closes the event handle.
---
 modules/video_output/msw/events.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/modules/video_output/msw/events.c b/modules/video_output/msw/events.c
index 73eb5c0..866b279 100644
--- a/modules/video_output/msw/events.c
+++ b/modules/video_output/msw/events.c
@@ -865,6 +865,9 @@ static void Win32VoutCloseWindow( event_thread_t *p_event )
     vout_display_t *vd = p_event->vd;
     msg_Dbg( vd, "Win32VoutCloseWindow" );
 
+    #ifdef MODULE_NAME_IS_direct3d9
+    DestroyWindow( p_event->hvideownd );
+    #endif
     DestroyWindow( p_event->hwnd );
     if( p_event->hfswnd )
         DestroyWindow( p_event->hfswnd );
-- 
1.9.4.msysgit.2

